.section__cases__container {
  max-width: 1622px;
}
.section__cases__body {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
}
@media (max-width: 620px) {
  .section__cases__body {
    gap: 24px;
  }
}
.section__cases__items {
  width: 100%;
  padding: 28px;
}
@media (max-width: 1600px) {
  .section__cases__items {
    padding: 16px;
    max-width: 1330px;
    margin: 0 auto;
  }
}
@media (max-width: 768px) {
  .section__cases__items {
    padding: 0;
  }
}
.section__cases__items__pagination {
  margin-top: 12px;
  margin-bottom: 24px;
}
.section__cases__links {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 16px;
}
@media (max-width: 620px) {
  .section__cases__links {
    gap: 10px;
  }
}

.section__cases__item {
  position: relative;
  height: 700px;
  padding: 64px 0 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  border-radius: var(--br-24);
  border: 1px solid var(--white-30);
  transition: var(--transition-300);
  overflow: hidden;
}
.section__cases__item__background {
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.section__cases__item__background::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--black-30);
}
.section__cases__item__background img {
  border-radius: var(--br-24);
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.section__cases__item__logo {
  height: 100%;
  max-height: 90px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.section__cases__item__logo img {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
  -o-object-fit: contain;
     object-fit: contain;
  display: block;
}
@media (max-width: 620px) {
  .section__cases__item__logo {
    max-height: 60px;
  }
}
.section__cases__item__inner {
  display: flex;
  flex-direction: column;
  gap: 16px;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000 30%);
  padding: 0 24px 36px 24px;
}
@media (max-width: 1600px) {
  .section__cases__item__inner {
    padding: 0 16px 24px 16px;
  }
}
@media (max-width: 620px) {
  .section__cases__item__inner {
    padding: 0 16px 16px 16px;
  }
}
.section__cases__item__tags {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 8px;
  justify-content: center;
}
@media (max-width: 620px) {
  .section__cases__item__tags {
    gap: 4px;
  }
}
.section__cases__item__tag {
  transition: var(--transition-300);
}
.section__cases__item__title {
  padding: 0 16px;
  text-align: center;
  line-height: 120%;
  letter-spacing: -0.03em;
  font-family: var(--font-inter);
}
.section__cases__item__stats {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 8px;
}
.section__cases__item__stat {
  border-radius: 16px;
  padding: 16px;
  background: var(--black-90);
  display: flex;
  flex-direction: column;
  text-align: center;
}
.section__cases__item__stat__num {
  font-family: var(--font-kharkiv);
  font-size: var(--fs-xl);
  letter-spacing: -0.08em;
  color: var(--white-100);
  transition: var(--transition-300);
}
.section__cases__item__stat__text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: var(--fs-xs);
  line-height: 120%;
  color: var(--grey-100);
}
.section__cases__item__btn {
  opacity: 0;
  position: absolute;
  top: 238px;
  left: 50%;
  transform: translate(-50%, 0%);
  transition: 0.3s all ease-in-out;
}
.section__cases__item__btn svg {
  margin: 0 0 0 10px;
}
@media (max-width: 1600px) {
  .section__cases__item__btn {
    top: 150px;
  }
}
@media (max-width: 1024px) {
  .section__cases__item__btn {
    display: none;
  }
}
@media (any-hover: hover) {
  .section__cases__item:hover {
    box-shadow: 0 0 24px 0 var(--page-color, var(--section-cases-color, var(--green-100)));
  }
  .section__cases__item:hover .section__cases__item__tag {
    background: var(--page-color, var(--section-cases-color, var(--green-100)));
    color: var(--black-100);
  }
  .section__cases__item:hover .section__cases__item__stat__num {
    color: var(--page-color, var(--section-cases-color, var(--green-100)));
  }
  .section__cases__item:hover .section__cases__item__btn {
    opacity: 1;
  }
}
@media (any-hover: hover) and (max-width: 1600px) {
  .section__cases__item:hover {
    box-shadow: 0 0 16px 0 var(--page-color, var(--section-cases-color, var(--green-100)));
  }
}
@media (max-width: 1600px) {
  .section__cases__item {
    height: 450px;
    padding: 24px 0 0;
  }
}
@media (max-width: 1600px) and (any-hover: hover) {
  .section__cases__item:hover {
    box-shadow: 0 0 16px 0 var(--page-color, var(--section-cases-color, var(--green-100)));
  }
}
@media (max-width: 620px) {
  .section__cases__item:not(.swiper-slide) {
    width: 100%;
    max-width: 330px;
  }
}
@media (max-width: 420px) {
  .section__cases__item:not(.swiper-slide) {
    width: 100%;
    max-width: none;
  }
}
@media (max-width: 380px) {
  .section__cases__item {
    height: 380px;
  }
}